#!/bin/sh
### BEGIN INIT INFO
# Provides:          nova-serialproxy
# Required-Start:    $network $local_fs $remote_fs $syslog
# Required-Stop:     $remote_fs
# Should-Start:      nova-consoleauth
# Should-Stop:       nova-consoleauth
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Nova serialproxy server
# Description:       Frontend Nova serialproxy server
### END INIT INFO

# Authors: Thomas Goirand <zigo@debian.org>
DESC="OpenStack Nova Serial Proxy (nova-serialproxy)"
PROJECT_NAME=nova
NAME=${PROJECT_NAME}-serialproxy

# Exit if the default file not present, or not set to run this daemon
if [ -r /etc/default/nova-consoleproxy ] ; then
	. /etc/default/nova-consoleproxy
else
	# This is to prevent pkgos-gen-systemd-unit to exit
	if [ -z "${INIT_TEMPLATE}" ] ; then
		exit 0
	fi
fi
if ! [ ""$(echo "${NOVA_SERIAL_PROXY_START}" | tr '[:upper:]' '[:lower:]') = "true" ] || [ "${NOVA_SERIAL_PROXY_START}" = "1" ] ; then
	# This is to prevent pkgos-gen-systemd-unit to exit
	if [ -z "${INIT_TEMPLATE}" ] ; then
		exit 0
	fi
fi
